首页/wordpress/基于WordPress4.8禁用Emoji表情

基于WordPress4.8禁用Emoji表情

随着wordpress版本更新,记得是在4.2的时候支持了Emoji表情,说到底就是个表情服务,但问题是这个表情所调用的服务器是在国外,所以对于国内的用户,可能会导致你wordpress加载速度非常慢,所以还是禁用比较好,我们只需在主题functions.php文件中加入以下代码即可,当然该段代码在WordPress4.8版本中完美通过测试。

<?php
function jinsanguo_disable_emojis() {
	remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
	remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
	remove_action( 'wp_print_styles', 'print_emoji_styles' );
	remove_action( 'admin_print_styles', 'print_emoji_styles' );
	remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
	remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
	remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
	add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
}
add_action( 'init', 'jinsanguo_disable_emojis' );

function disable_emojis_tinymce( $plugins ) {
	if ( is_array( $plugins ) ) {
	return array_diff( $plugins, array( 'wpemoji' ) );
	} else {
		return array();
	}
}
?>
这段代码还是有点小长,放在functions.php文件中也许不那么美丽,对于追求完美的你,可以将以上代码做成单独文件,然后在functions.php文件中加载即可,我个人推荐这种办法。
收藏:

相关资讯